// 登录校验接口
import httputils from '@/api/httputils'
const baseApi = '/graph/drafts/';

//创建拓扑图
export function creatTopo(postParams: any): any {
    return httputils.postJson(`/labsl${baseApi}create`, postParams)
}

// 查询系统图分类
export function queryCategoryGraph(postParams: any): any {
    return httputils.postJson(`/labsl/graph-category/query`, postParams)
}

// 查询未发布的图
export function queryDraftsGraph(postParams: any) :any{
    return httputils.postJson(`/labsl/graph/drafts/query`, postParams)
}

// 查询已发布的图
export function queryPubGraph(postParams: any) :any{
    return httputils.postJson(`/labsl/graph/pub/query`, postParams)
}